Get Reservations by User
GET /v1/reservations/users/{userId}/reservations
Gets all reservations for a given user.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
userId string(uuid) path parameter (required)
Identifier of the user to get reservations for.
Response
200 OK
A list containing details about each reservation associated to the user.
Body
[] array of Reservation objects
A list of Reservation objects.
Show Reservation attributes
Represents a reservation made by a user for a specific resource and period of time.
id string(uuid)
Unique identifier of the reservation.
userId string(uuid)
Identifier of the user that made the reservation, or null if ownerType is Service.
ownerId string(uuid)
Identifier of the entity that owns the reservation, or null if ownerType is Service.
ownerType string
The type of entity that owns the reservation. Can be one of the following values:
UserThe owner is a user.GroupThe owner is a user group (e.g apartment or other type of organisational unit).ServiceThe reservation belongs to a maintenance window.
status string
Current status of the reservation. Can be one of the following values:
UnusedThe reservation has not yet been consumed by any user.UsedThe reservation has been activated/consumed.
resourceId string(uuid)
Identifier of the resource.
startTime string(date-time)
Time when the reservation starts, expressed in UTC.
endTime string(date-time)
Time when the reservation ends, expressed in UTC.
deviceId string(uuid)
Identifier of the VAKA system the reservation belongs to.
Last updated